package com.duolebo.blyrobot

import android.app.Application
import net.gotev.uploadservice.Logger
import net.gotev.uploadservice.UploadService
import net.gotev.uploadservice.okhttp.OkHttpStack
import okhttp3.OkHttpClient



class DlbRobotApp: Application() {
    override fun onCreate() {
        super.onCreate()

        UploadService.NAMESPACE = BuildConfig.APPLICATION_ID
        UploadService.NAMESPACE = this.packageName
        Logger.setLogLevel(Logger.LogLevel.DEBUG)

        val client = OkHttpClient()
        UploadService.HTTP_STACK = OkHttpStack(client)
    }
}